Upstream information

CVE-2022-38791 at MITRE

Description

In MariaDB before 10.9.2, compress_write in extra/mariabackup/ds_compress.cc does not release data_mutex upon a stream write failure, which allows local users to trigger a deadlock.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 6.2
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1202863 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libmariadbd-devel >= 10.5.17-150300.3.21.1
  • libmariadbd19 >= 10.5.17-150300.3.21.1
  • mariadb >= 10.5.17-150300.3.21.1
  • mariadb-client >= 10.5.17-150300.3.21.1
  • mariadb-errormessages >= 10.5.17-150300.3.21.1
  • mariadb-galera >= 10.5.17-150300.3.21.1
  • mariadb-tools >= 10.5.17-150300.3.21.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-3391
SUSE-SLE-Module-Server-Applications-15-SP3-2022-3391
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Module for Package Hub 15 SP3
  • mariadb-galera >= 10.5.17-150300.3.21.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-3391
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libmariadbd-devel >= 10.6.10-150400.3.17.1
  • libmariadbd19 >= 10.6.10-150400.3.17.1
  • mariadb >= 10.6.10-150400.3.17.1
  • mariadb-client >= 10.6.10-150400.3.17.1
  • mariadb-errormessages >= 10.6.10-150400.3.17.1
  • mariadb-tools >= 10.6.10-150400.3.17.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2022-3855
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • libmariadbd-devel >= 10.5.17-150300.3.21.1
  • libmariadbd19 >= 10.5.17-150300.3.21.1
  • mariadb >= 10.5.17-150300.3.21.1
  • mariadb-client >= 10.5.17-150300.3.21.1
  • mariadb-errormessages >= 10.5.17-150300.3.21.1
  • mariadb-tools >= 10.5.17-150300.3.21.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2022-3391
openSUSE Leap 15.3
  • libmariadbd-devel >= 10.5.17-150300.3.21.1
  • libmariadbd19 >= 10.5.17-150300.3.21.1
  • mariadb >= 10.5.17-150300.3.21.1
  • mariadb-bench >= 10.5.17-150300.3.21.1
  • mariadb-client >= 10.5.17-150300.3.21.1
  • mariadb-errormessages >= 10.5.17-150300.3.21.1
  • mariadb-rpm-macros >= 10.5.17-150300.3.21.1
  • mariadb-test >= 10.5.17-150300.3.21.1
  • mariadb-tools >= 10.5.17-150300.3.21.1
Patchnames:
openSUSE-SLE-15.3-2022-3391
openSUSE Leap 15.4
  • libmariadbd-devel >= 10.6.10-150400.3.17.1
  • libmariadbd19 >= 10.6.10-150400.3.17.1
  • mariadb >= 10.6.10-150400.3.17.1
  • mariadb-bench >= 10.6.10-150400.3.17.1
  • mariadb-client >= 10.6.10-150400.3.17.1
  • mariadb-errormessages >= 10.6.10-150400.3.17.1
  • mariadb-galera >= 10.6.10-150400.3.17.1
  • mariadb-rpm-macros >= 10.6.10-150400.3.17.1
  • mariadb-test >= 10.6.10-150400.3.17.1
  • mariadb-tools >= 10.6.10-150400.3.17.1
Patchnames:
openSUSE-SLE-15.4-2022-3855
openSUSE Tumbleweed
  • libmariadbd-devel >= 10.9.3-1.1
  • libmariadbd19 >= 10.9.3-1.1
  • mariadb >= 10.9.3-1.1
  • mariadb-bench >= 10.9.3-1.1
  • mariadb-client >= 10.9.3-1.1
  • mariadb-errormessages >= 10.9.3-1.1
  • mariadb-galera >= 10.9.3-1.1
  • mariadb-rpm-macros >= 10.9.3-1.1
  • mariadb-test >= 10.9.3-1.1
  • mariadb-tools >= 10.9.3-1.1
Patchnames:
openSUSE Tumbleweed GA libmariadbd-devel-10.9.3-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mariadb Not affected
SUSE CaaS Platform 4.0 mariadb Not affected
SUSE Enterprise Storage 6 mariadb Not affected
SUSE Enterprise Storage 7 mariadb Already fixed
SUSE Enterprise Storage 7.1 mariadb Released
SUSE Linux Enterprise Desktop 12 SP1 mariadb Not affected
SUSE Linux Enterprise Desktop 12 SP2 mariadb Not affected
SUSE Linux Enterprise Desktop 12 SP3 mariadb Not affected
SUSE Linux Enterprise Desktop 12 SP4 mariadb Not affected
SUSE Linux Enterprise Desktop 12 SP4 mariadb-100 Won't fix
SUSE Linux Enterprise Desktop 12 SP5 mariadb-100 Won't fix
SUSE Linux Enterprise Desktop 15 SP3 mariadb Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mariadb Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 mariadb-100 Won't fix
SUSE Linux Enterprise High Performance Computing 15 mariadb Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 mariadb Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS mariadb Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS mariadb Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 mariadb Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS mariadb Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS mariadb Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 mariadb Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS mariadb Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS mariadb Released
SUSE Linux Enterprise High Performance Computing 15 SP4 mariadb Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS mariadb Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS mariadb Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 mariadb Released
SUSE Linux Enterprise Module for Server Applications 15 mariadb Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 mariadb Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 mariadb Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 mariadb Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 mariadb Released
SUSE Linux Enterprise Real Time 15 SP2 mariadb Affected
SUSE Linux Enterprise Real Time 15 SP3 mariadb Released
SUSE Linux Enterprise Server 12 SP1 mariadb Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS mariadb Not affected
SUSE Linux Enterprise Server 12 SP2 mariadb Not affected
SUSE Linux Enterprise Server 12 SP2-BCL mariadb Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS mariadb Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS mariadb Not affected
SUSE Linux Enterprise Server 12 SP3 mariadb Not affected
SUSE Linux Enterprise Server 12 SP3-BCL mariadb Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS mariadb Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS mariadb Not affected
SUSE Linux Enterprise Server 12 SP4 mariadb Not affected
SUSE Linux Enterprise Server 12 SP4 mariadb-100 Won't fix
SUSE Linux Enterprise Server 12 SP4-ESPOS mariadb Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS mariadb-100 Won't fix
SUSE Linux Enterprise Server 12 SP4-LTSS mariadb Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS mariadb-100 Won't fix
SUSE Linux Enterprise Server 12 SP5 mariadb Not affected
SUSE Linux Enterprise Server 12 SP5 mariadb-100 Won't fix
SUSE Linux Enterprise Server 15 mariadb Not affected
SUSE Linux Enterprise Server 15 SP1 mariadb Not affected
SUSE Linux Enterprise Server 15 SP1-BCL mariadb Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS mariadb Not affected
SUSE Linux Enterprise Server 15 SP2 mariadb Affected
SUSE Linux Enterprise Server 15 SP2-BCL mariadb Affected
SUSE Linux Enterprise Server 15 SP2-LTSS mariadb Already fixed
SUSE Linux Enterprise Server 15 SP3 mariadb Released
SUSE Linux Enterprise Server 15 SP4 mariadb Released
SUSE Linux Enterprise Server 15-ESPOS mariadb Not affected
SUSE Linux Enterprise Server 15-LTSS mariadb Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 mariadb Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 mariadb Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 mariadb Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb-100 Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mariadb-100 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 mariadb Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 mariadb Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 mariadb Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 mariadb Released
SUSE Linux Enterprise Software Development Kit 12 SP1 mariadb Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 mariadb Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 mariadb Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 mariadb-100 Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP5 mariadb-100 Won't fix
SUSE Linux Enterprise Workstation Extension 12 SP1 mariadb Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 mariadb Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 mariadb Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 mariadb-100 Won't fix
SUSE Linux Enterprise Workstation Extension 12 SP5 mariadb-100 Won't fix
SUSE Manager Proxy 4.0 mariadb Not affected
SUSE Manager Proxy 4.1 mariadb Already fixed
SUSE Manager Proxy 4.2 mariadb Released
SUSE Manager Proxy 4.3 mariadb Released
SUSE Manager Retail Branch Server 4.0 mariadb Not affected
SUSE Manager Retail Branch Server 4.1 mariadb Already fixed
SUSE Manager Retail Branch Server 4.2 mariadb Released
SUSE Manager Retail Branch Server 4.3 mariadb Released
SUSE Manager Server 4.0 mariadb Not affected
SUSE Manager Server 4.1 mariadb Already fixed
SUSE Manager Server 4.2 mariadb Released
SUSE Manager Server 4.3 mariadb Released
SUSE OpenStack Cloud 7 mariadb Not affected
SUSE OpenStack Cloud 8 mariadb Not affected
SUSE OpenStack Cloud 9 mariadb Not affected
SUSE OpenStack Cloud 9 mariadb-100 Won't fix
SUSE OpenStack Cloud Crowbar 8 mariadb Not affected
SUSE OpenStack Cloud Crowbar 9 mariadb Not affected
SUSE OpenStack Cloud Crowbar 9 mariadb-100 Won't fix
SUSE Package Hub 15 SP3 mariadb Released
openSUSE Leap mariadbReleased
suse/rmt-mariadb
suse/rmt-mariadb:10.6
mariadbIn progress


SUSE Timeline for this CVE

CVE page created: Sun Aug 28 02:00:52 2022
CVE page last modified: Fri Dec 2 12:36:41 2022